Skip to main content
POST
Metrics Testing Available Columns

Authorizations

Galileo-API-Key
string
header
required

Path Parameters

project_id
string<uuid4>
required

Body

application/json

Request to get the available columns for the metrics testing table.

name
string
required

Name of the metric that we are testing.

log_stream_id
string<uuid4> | null

Log stream id associated with the traces.

experiment_id
string<uuid4> | null

Experiment id associated with the traces.

metrics_testing_id
string<uuid4> | null

Metrics testing id associated with the traces.

output_type
enum<string> | null

Output type of the scorer. Required when metric_key is REGISTERED_SCORER_VALIDATION; used to determine the data_type for validation columns.

Available options:
boolean,
categorical,
count,
discrete,
freeform,
percentage,
multilabel,
retrieved_chunk_list_boolean,
boolean_multilabel
cot_enabled
boolean
default:false

Whether the metrics testing table is using chain of thought (CoT) enabled scorers. If True, the columns will be generated for CoT enabled scorers.

metric_key
string
default:generated_scorer_validation

The metric key to use for column generation (e.g., 'generated_scorer_validation' or 'registered_scorer_validation').

required_scorers
string[] | null

List of required scorer names for composite scorers. Columns will be generated for these scorers.

score_type
string | null

The score type for registered scorers (e.g., 'bool', 'int', 'float', 'str'). Used to determine the correct data_type for the column. Provided by validation result.

Response

Successful Response

columns
LogRecordsColumnInfo · object[]